
Hammer CLI - Feature #6344

Commands for read operations around compute profiles and attributes

06/23/2014 03:31 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases: hammer-cli-foreman-0.17.0

Triaged: Yes Found in Releases:  

Bugzilla link: 1278917 In Kanboard:  

Pull request: https://github.com/theforeman/hammer-cl

i-foreman/pull/279

Red Hat JIRA:  

Team Backlog: Marek   

Description

Hammer should have commands to list and work with compute profiles and compute attributes (which are profile <-> resource

instances), added in #4250.

Related issues:

Related to Foreman - Feature #4250: Expose compute profiles via API Closed 02/04/2014

Related to Foreman - Bug #6342: Compute profile should be used when empty vol... Closed 06/23/2014

Related to Foreman - Feature #11237: Document association of compute profiles... Closed 07/28/2015

Related to Hammer CLI - Tracker #16829: Tracker for compute resource related ... Closed

Related to Foreman - Feature #18280: Provide compute resource provider name i... Closed 01/27/2017

Related to Hammer CLI - Feature #20538: Commands for creating, updating and d... Resolved

Has duplicate Hammer CLI - Feature #8054: Hammer cli should support creating ... Duplicate

Blocked by Hammer CLI - Bug #18446: hide_blank on label fields doesn't work f... Closed 02/09/2017

Blocked by Foreman - Bug #21580: Compute attributes returned from api need to... Closed 11/05/2017

History

#1 - 06/23/2014 03:31 PM - Dominic Cleal

- Related to Feature #4250: Expose compute profiles via API added

#2 - 06/23/2014 03:32 PM - Dominic Cleal

- Related to Bug #6342: Compute profile should be used when empty volumes and interfaces passed in compute_attributes added

#3 - 10/23/2014 10:24 AM - Dominic Cleal

- Has duplicate Feature #8054: Hammer cli should support creating and handling of Compute Profiles  added

#4 - 07/29/2015 03:10 AM - Dominic Cleal

- Related to Feature #11237: Document association of compute profiles to host groups added

#5 - 11/06/2015 01:26 PM - Partha Aji

- Bugzilla link set to 1278917

#6 - 10/07/2016 05:02 AM - Tomáš Strachota

- Category changed from Foreman commands (obsolete) to Compute resources

#7 - 10/07/2016 05:03 AM - Tomáš Strachota

- Related to Tracker #16829: Tracker for compute resource related issues added

#8 - 11/04/2016 06:45 AM - Marek Hulán
- Target version set to 115

#9 - 01/22/2017 07:56 AM - Shlomi Zadok

- Assignee set to Shlomi Zadok

#10 - 01/22/2017 09:35 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/hammer-cli-foreman/pull/279 added

#11 - 01/27/2017 03:36 AM - Daniel Lobato Garcia

- Related to Feature #18280: Provide compute resource provider name in API added

#12 - 02/09/2017 09:46 AM - Tomáš Strachota

- Blocked by Bug #18446: hide_blank on label fields doesn't work for nil and empty hash added

#13 - 08/07/2017 09:20 AM - Tomáš Strachota

- Status changed from Ready For Testing to Assigned

- Assignee changed from Shlomi Zadok to Tomáš Strachota

The feature is still under development. I'm switching this back to Assigned.

#14 - 08/09/2017 07:07 AM - Tomáš Strachota

- Related to Feature #20538: Commands for creating, updating and deleting compute profiles and attributes added

#15 - 08/09/2017 07:09 AM - Tomáš Strachota

- Subject changed from Compute profile commands to Commands for read operations around compute profiles and attributes

API for creating compute attributes will require additional tuning and block the CLI part. Therefore I split the task into read commands (this issue) and

modifying commands (http://projects.theforeman.org/issues/20538).

#16 - 11/05/2017 11:07 PM - Tomáš Strachota

- Blocked by Bug #21580: Compute attributes returned from api need to be normalized added

#17 - 10/03/2019 03:59 PM - Oleh Fedorenko

- Status changed from Assigned to Closed

- Triaged set to Yes

- Fixed in Releases hammer-cli-foreman-0.17.0 added

Closing this one since https://projects.theforeman.org/issues/20538 was resolved.
